在Backtrack5下安装BeEF

Following the next steps you will be able to use use the latest BeEF on your pentests using BT5:

  • 1.rm -rf /pentest/web/beef-ng
  • 2.svn checkout http://beef.googlecode.com/svn/trunk/ /pentest/web/beef
  • 3.GEM PATHS defined in the Gem Environment are wrong, so: add export GEM_PATH=/var/lib/gems/1.9.2/gems and export GEM_HOME=/var/lib/gems/1.9.2/gems to /etc/profile
  • 4.source /etc/profile
  • 5.cd /pentest/web/beef, then run ruby install , and press 2 to list all the required gems
  • 6.install these required gems with gem install ‘gem list from previous step’
  • 7.to see if everything went ok:

  • 8.Start BeEF with the default SQLite DB: ruby beef -x

上一张完成图:

91ri.org:本文仅作记录 方便部分网友学习查找 懒得翻译了 E文不好的朋友百度吧!

原文:http://code.google.com/p/beef/wiki/UsingTheLatestBeEFInBT5

本文由网络安全攻防研究室(www.91ri.org)信息安全小组收集整理,转载请注明出处!